#/bin/bash

# This script rebuilds the files rg_utils_*.inc.
# It should be called when the radius-types file is updated with:
# wget http://www.iana.org/assignments/radius-types

if [ ! -f radius-types ];
then echo "Missing file radius-types, please get a fresh copy first.";
exit 2;
fi

if [ -f rg_utils_codes.inc ];
then mv -f rg_utils_codes.inc rg_utils_codes.inc.bak;
fi

if [ -f rg_utils_attrtype.inc ];
then mv -f rg_utils_attrtype.inc rg_utils_attrtype.inc.bak;
fi

echo "Rebuilding rg_utils_codes.inc..."

# Not too sure how to rebuid radius-types-codes from radius-types, skipping...
echo "WARNING: radius-types-codes has not been rebuilt"

awk -f register-parse.awk radius-types-codes > rg_utils_codes.inc

echo "Rebuilding rg_utils_attrtype.inc..."
echo "WARNING: radius-types-attrtypes has not been rebuilt"

awk -f register-parse.awk radius-types-attrtypes > rg_utils_attrtype.inc

echo "Finished."

